メインコンテンツへスキップ
POST
https://{tenantDomain}/api/v2
/
network-acls
Go
package example

import (
    client "github.com/auth0/go-auth0/management/client"
    option "github.com/auth0/go-auth0/management/option"
    context "context"
    management "github.com/auth0/go-auth0/management"
)

func do() () {
    client := client.NewClient(
        option.WithToken(
            "<token>",
        ),
    )
    client.NetworkAcls.Create(
        context.TODO(),
        &management.CreateNetworkAclRequestContent{
            Description: "description",
            Active: true,
            Priority: 1.1,
            Rule: &management.NetworkAclRule{
                Action: &management.NetworkAclAction{},
                Scope: management.NetworkAclRuleScopeEnumManagement,
            },
        },
    )
}

承認

Authorization
string
header
必須

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

ボディ

description
string
必須
Maximum string length: 255
active
boolean
必須

Indicates whether or not this access control list is actively being used

rule
object
必須
priority
number
デフォルト:50

Indicates the order in which the ACL will be evaluated relative to other ACL rules.

必須範囲: 1 <= x <= 100

レスポンス

Network ACL successfully created.